Name:           lostirc
Version:        0.4.6
Release:        19%{?dist}
Summary:        Simple IRC client for X11

Group:          Applications/Internet
License:        GPLv2+
URL:            http://lostirc.sourceforge.net
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:         lostirc-0.4.6-FTBFS.patch
Patch1:         lostirc-0.4.6-aarch64.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtkmm24-devel
BuildRequires:  gettext
BuildRequires:  desktop-file-utils


%description
Lostirc is a simple, yet very useful IRC-client. It has features such as 
tab-autocompletion, multiple server support, automatic joining of 
servers/channels and DCC sending which should cover the needs of most 
people. The client is 100% keyboard-controllable, and uses the gtkmm GUI 
library

%prep
%setup -q
%patch0 -p1 -b .ftbfs
%patch1 -p1 -b .aarch64
sed -i 's|Icon=%{name}.png|Icon=%{name}|g' %{name}.desktop


%build
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

desktop-file-install \
    %if (0%{?fedora} && 0%{?fedora} < 19) || (0%{?rhel} && 0%{?rhel} < 7)
    --vendor fedora \
    %else
    --vendor="" \
    %endif
    --delete-original \
    --remove-category=Application \
    --add-category=GTK \
    --add-category=IRCClient \
    --dir %{buildroot}%{_datadir}/applications \
    %{buildroot}/%{_datadir}/applications/%{name}.desktop


%find_lang %{name}

%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/%{name}
%{_datadir}/pixmaps/*.png
%{_datadir}/applications/*.desktop
%{_mandir}/man1/*


%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.6-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.6-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.6-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun May 19 2013 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.6-16
- Add aarch64 support (#926090)
- Drop vendor tag from desktop file (https://fedorahosted.org/fesco/ticket/1077)

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.6-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.6-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.6-13
- Rebuilt for c++ ABI breakage

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.6-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.4.6-11
- Rebuild for new libpng

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.6-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jan 22 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.6-9
- Fix desktop file (#487830)

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Sep  8 2008 Christoph Wickert <fedora@christoph-wickert.de> - 0.4.6-6
- Fix FTBFS bug (#440921)

* Thu Aug  7 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.4.6-5
- fix license tag

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.4.6-4
- Autorebuild for GCC 4.3

* Mon Sep 24 2007 Jesse Keating <jkeating@redhat.com> - 0.4.6-3
- Bump release for upgrade path

* Thu May 31 2007 Damien Durand <splinux@fedoraproject.org> - 0.4.6-2
- Fixed source0 url

* Thu Apr 03 2007 Damien Durand <splinux@fedoraproject.org> - 0.4.6-1
- Initial RPM release
